Bug 8687 - net memberships usage info is wrong
net memberships usage info is wrong
Status: RESOLVED FIXED
Product: Samba 3.5
Classification: Unclassified
Component: Client Tools
3.5.11
All All
: P5 minor
: ---
Assigned To: Karolin Seeger
Samba QA Contact
:
Depends on:
Blocks:
  Show dependency treegraph
 
Reported: 2012-01-04 08:11 UTC by Daniël van Eeden
Modified: 2012-01-08 19:46 UTC (History)
0 users

See Also:


Attachments
giam-am fix for 3.5.x and 3.6.x. (907 bytes, patch)
2012-01-06 00:01 UTC, Jeremy Allison
vl: review+
Details

Note You need to log in before you can comment on or make changes to this bug.
Description Daniël van Eeden 2012-01-04 08:11:19 UTC
The usage info of "net groupmap memberships" lists "net groupmap memberof <sid>", but that command is invalid. Tested on FreeBSD, Ubuntu and Solaris 11 with 3.5.10 and 3.5.11.

$ net groupmap memberships
Usage:
net groupmap memberof sid
$ net groupmap memberof
Invalid command: net groupmap memberof
Usage:
net groupmap add             Create a new group mapping
net groupmap modify          Update a group mapping
net groupmap delete          Remove a group mapping
net groupmap set             Set group mapping
net groupmap cleanup         Remove foreign group mapping entries
net groupmap addmem          Add a foreign alias member
net groupmap delmem          Delete foreign alias member
net groupmap listmem         List foreign group members
net groupmap memberships     List foreign group memberships
net groupmap list            List current group map
Comment 1 Jeremy Allison 2012-01-06 00:01:34 UTC
Created attachment 7231 [details]
giam-am fix for 3.5.x and 3.6.x.

Simple typo fix.
Comment 2 Jeremy Allison 2012-01-06 18:13:22 UTC
Re-assigning to Karolin for inclusion.
Comment 3 Karolin Seeger 2012-01-08 19:46:12 UTC
Pushed to v3-5-test.
Closing out bug report.

Thanks!